Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.job.entries.empty
Class JobEntryEmpty

    java.lang.Object
      org.pentaho.di.job.entry.JobEntryBase
          org.pentaho.di.job.entries.empty.JobEntryEmpty

All Implemented Interfaces:
  Cloneable, org.pentaho.di.core.CheckResultSourceInterface, org.pentaho.di.core.variables.VariableSpace, JobEntryInterface, ResourceHolderInterface

    public class JobEntryEmpty

extends JobEntryBase
implements JobEntryInterface

Field Summary

Fields inherited from class org.pentaho.di.job.entry.JobEntryBase
`category_order`

Constructor Summary
`JobEntryEmpty()`

Method Summary
`void` | `check(List<org.pentaho.di.core.CheckResultInterface> remarks, JobMeta jobMeta)` Support for overrides not having to put in a check method
`org.pentaho.di.core.Result` | `execute(org.pentaho.di.core.Result prev_result, int nr, Repository rep, Job parentJob)`
`void` | `loadXML(Node entrynode, List<org.pentaho.di.core.database.DatabaseMeta> databases, List<SlaveServer> slaveServers, Repository rep)`

Methods inherited from class org.pentaho.di.job.entry.JobEntryBase
`clear, clone, copyVariablesFrom, environmentSubstitute, environmentSubstitute, evaluates, exportResources, getBooleanValueOfVariable, getConfigId, getDescription, getDialogClassName, getFilename, getHolderType, getID, getJobEntryType, getName, getParentVariableSpace, getPluginID, getRealFilename, getResourceDependencies, getSQLStatements, getSQLStatements, getTypeCode, getTypeCode, getTypeDesc, getTypeDesc, getTypeId, getUsedDatabaseConnections, getVariable, getVariable, getXML, hasChanged, initializeVariablesFrom, injectVariables, isDummy, isEvaluation, isFTP, isHTTP, isJob, isMail, isSFTP, isShell, isSpecial, isStart, isTransformation, isUnconditional, listVariables, loadRep, loadXML, parseRepositoryObjects, resetErrorsBeforeExecution, saveRep, setChanged, setChanged, setConfigId, setDescription, setID, setJobEntryType, setName, setParentVariableSpace, setPluginID, setVariable, shareVariablesWith, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.pentaho.di.job.entry.JobEntryInterface
`clear, clone, evaluates, exportResources, getConfigId, getDescription, getDialogClassName, getFilename, getID, getJobEntryType, getName, getPluginID, getRealFilename, getResourceDependencies, getSQLStatements, getSQLStatements, getTypeCode, getUsedDatabaseConnections, getXML, hasChanged, isDummy, isEvaluation, isJob, isMail, isShell, isSpecial, isStart, isTransformation, isUnconditional, loadRep, resetErrorsBeforeExecution, saveRep, setChanged, setChanged, setConfigId, setDescription, setID, setJobEntryType, setName, setPluginID`

Constructor Detail

### JobEntryEmpty

    public JobEntryEmpty()

Method Detail

### execute

    public org.pentaho.di.core.Result execute(org.pentaho.di.core.Result prev_result,
                                              int nr,
                                              Repository rep,
                                              Job parentJob)
                                       throws org.pentaho.di.core.exception.KettleException

  Specified by:
    `execute` in interface `JobEntryInterface`
  Throws:
    `org.pentaho.di.core.exception.KettleException`

### loadXML

    public void loadXML(Node entrynode,
                        List<org.pentaho.di.core.database.DatabaseMeta> databases,
                        List<SlaveServer> slaveServers,
                        Repository rep)
                 throws org.pentaho.di.core.exception.KettleXMLException

  Specified by:
    `loadXML` in interface `JobEntryInterface`
  Throws:
    `org.pentaho.di.core.exception.KettleXMLException`

### check

    public void check(List<org.pentaho.di.core.CheckResultInterface> remarks,
                      JobMeta jobMeta)

  Description copied from class: `JobEntryBase`
  Support for overrides not having to put in a check method

  Specified by:
    `check` in interface `JobEntryInterface`
  Overrides:
    `check` in class `JobEntryBase`
  Parameters:
    `remarks` - CheckResults from checking the job entry
    `jobMeta` - JobMeta information letting threading back to the JobMeta possible

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD